MISSINdevelopersLog in

API reference

CheckoutsList

Page through storefront checkouts with a condition and sort. Read access, orders toolset, MCP tool list_checkouts.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
afterCursornoOpaque cursor from pageInfo.endCursor
conditionCheckoutConditionnoInput object, below
firstInt!yes32-bit integer. MCP tools send 50 when it is left out
orderBy[CheckoutOrderBy!]noOne of 21 values, see CheckoutOrderByThe method to use when ordering Checkout.

Input types

CheckoutCondition

A condition to be used against Checkout object types. All fields are tested for equality and combined with a logical ‘and.’

FieldTypeRequiredAcceptsDescription
connectionIdUUIDnoChecks for equality with the object’s connectionId field.
customerIdUUIDnoChecks for equality with the object’s customerId field.
customerRefStringnoChecks for equality with the object’s customerRef field.
externalRefStringnoChecks for equality with the object’s externalRef field.
formResponseIdUUIDnoChecks for equality with the object’s formResponseId field.
orderIdUUIDnoChecks for equality with the object’s orderId field.
partnerIdUUIDnoChecks for equality with the object’s partnerId field.
providerUpdatedAtDatetimenoISO 8601 with a zone, e.g. 2026-01-01T00:00:00ZChecks for equality with the object’s providerUpdatedAt field.
rowIdUUIDnoChecks for equality with the object’s rowId field.
stageCheckoutStagenoOne of CART, CHECKOUTChecks for equality with the object’s stage field.
startedDayDatenoISO 8601 date, YYYY-MM-DDChecks for equality with the object’s startedDay field.
statusCheckoutStatusnoOne of ABANDONED, CONVERTED, OPENChecks for equality with the object’s status field.
workspaceIdUUIDnoChecks for equality with the object’s workspaceId field.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CheckoutsList","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"cb37090004e0334d79fd594107723360d3ee8b4a7df23e22618d1a5b3aa8ace3"}}}'

Document

graphql
query CheckoutsList($after: Cursor, $condition: CheckoutCondition, $first: Int!, $orderBy: [CheckoutOrderBy!]) { __typename allCheckouts( first: $first after: $after condition: $condition orderBy: $orderBy ) { __typename nodes { __typename abandonedAt completedAt connectionByConnectionId { __typename displayName externalRef id } createdAt currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } currencyId customerByCustomerId { __typename email id } customerId customerRef discountCodeId discountCodes externalRef formResponseId hasContact id integrationSlug lineCount orderByOrderId { __typename externalRef id orderNumber rowId } orderId originRefs partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } partnerId providerUpdatedAt recoveryUrl rowId stage startedAt status subtotalPrice totalDiscounts totalPrice totalTax ... on CheckoutShopify { __typename cartToken checkoutToken } ... on CheckoutStripe { __typename clientReferenceId expiresAt invoiceId livemode mode paymentIntentId paymentLinkId recoveredSessionId subscriptionId } } pageInfo { __typename endCursor hasNextPage } totalCount } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.